Package commoble.morered.soldering

# Class SolderingResultSlot

java.lang.Object
net.minecraft.world.inventory.Slot
commoble.morered.soldering.SolderingResultSlot

public class SolderingResultSlot extends net.minecraft.world.inventory.Slot

## Field Summary

### Fields inherited from class net.minecraft.world.inventory.Slot

`index, x, y`

## Constructor Summary

Constructors
Constructor
Description
`SolderingResultSlot(SolderingMenu container, net.minecraft.world.Container resultInventory, int index, int xPosition, int yPosition)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`mayPickup(net.minecraft.world.entity.player.Player player)`
Return whether this slot's stack can be taken from this slot.
`boolean`
`mayPlace(net.minecraft.world.item.ItemStack stack)`
Check if the stack is allowed to be placed in this slot, used for armor slots as well as furnace fuel.
`void`
`onTake(net.minecraft.world.entity.player.Player player, net.minecraft.world.item.ItemStack stack)`
`void`
`removeIngredients(net.minecraft.world.entity.player.Inventory playerInventory, SolderingRecipe recipe)`
`void`
`verifyRecipeAfterCrafting(net.minecraft.world.entity.player.Inventory playerInventory, @Nullable SolderingRecipe recipe)`

### Methods inherited from class net.minecraft.world.inventory.Slot

`allowModification, checkTakeAchievements, getContainerSlot, getItem, getMaxStackSize, getMaxStackSize, getNoItemIcon, getSlotIndex, hasItem, isActive, isFake, isHighlightable, isSameInventory, onQuickCraft, onQuickCraft, onSwapCraft, remove, safeInsert, safeInsert, safeTake, set, setBackground, setByPlayer, setByPlayer, setChanged, tryRemove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SolderingResultSlot

public SolderingResultSlot(SolderingMenu container, net.minecraft.world.Container resultInventory, int index, int xPosition, int yPosition)

## Method Details

### mayPlace

public boolean mayPlace(net.minecraft.world.item.ItemStack stack)
Check if the stack is allowed to be placed in this slot, used for armor slots as well as furnace fuel.

Overrides:
  `mayPlace` in class `net.minecraft.world.inventory.Slot`

### onTake

public void onTake(net.minecraft.world.entity.player.Player player, net.minecraft.world.item.ItemStack stack)

Overrides:
  `onTake` in class `net.minecraft.world.inventory.Slot`

### mayPickup

public boolean mayPickup(net.minecraft.world.entity.player.Player player)
Return whether this slot's stack can be taken from this slot.

Overrides:
  `mayPickup` in class `net.minecraft.world.inventory.Slot`

### removeIngredients

public void removeIngredients(net.minecraft.world.entity.player.Inventory playerInventory, SolderingRecipe recipe)

### verifyRecipeAfterCrafting

public void verifyRecipeAfterCrafting(net.minecraft.world.entity.player.Inventory playerInventory, @Nullable @Nullable SolderingRecipe recipe)